#include "savedata.hpp"
#include <iostream>
#include <fstream>
using namespace std;

extern "C" {
	#include "lua.h"
	#include "lualib.h"
	#include "lauxlib.h"
}


void SaveData::setmaxlevel(int s)
{
//    maxlevel=(dat*dat-8)*7
    ofstream myfile;
    myfile.open ("levels/config.lua");
    myfile <<"progress = " << (s-8)*7 <<";"<<endl;
    myfile.close();
    //WRITE SS TO FILE SOMEHOW

}

int SaveData::getmaxlevel()
{
  lua_State* L;
    	/* initialize Lua */
	L = lua_open();

	/* load Lua base libraries */
	luaL_openlibs(L);

	/* load the script */
	if(luaL_dofile(L, "levels/config.lua"))
	{
		return 0;
	};

    lua_getglobal(L,"progress");
    int dat=lua_tointeger(L,-1);
    lua_pop(L,1);

    lua_close(L);

    if (dat%7!=0 || (dat/7+8) >=20 || (dat/7+8)<0 )
        return 0;
    int maxlevel=dat/7 + 8;

    return maxlevel;
}
