#ifndef ENGINEPART_HPP
#define ENGINEPART_HPP

/*

NOTES

//give engineparts a reset function?


*/

using namespace std;

#include "subengines.hpp"

class EnginePart
{
public:
    int run();
    virtual void reset()=0;
    EnginePart(const SubengineInterface* subengines);
    virtual ~EnginePart();
    int mx;
    int my;
    bool mb1;
    bool mb2;
protected:
    virtual int input(const SDL_Event& event)=0;
    virtual int logic()=0;
    virtual void draw()=0;
    GraphicsEngine* graphicsengine;
    SoundEngine* soundengine;
private:
    Timer* timer;
};

#endif /* ENGINEPART_HPP */
