#ifndef LEVELSELECT_HPP
#define LEVELSELECT_HPP

#include "Engine/engine.hpp"
#include "engineinstance.hpp"
#include "widget.hpp"

class LevelSelect_State {
public:

};

class LevelSelectPart: public EnginePart {
public:
  void reset();
  LevelSelectPart(const SubengineInterface* subengines, Global_Variables* p_global_variables);
  ~LevelSelectPart();
protected:
  int input(const SDL_Event& event);
  int logic();
  void draw();
private:
   int buttonoption;
   Screen_Element* capturing;
   vector<Screen_Element*> widgets;
   int focus;//gui element focus
  LevelSelect_State* state;
  Global_Variables* global_variables;
};

#endif /*  LEVELSELECT_HPP */
